Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.tcap
Class TcapAlarmNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--jain.protocol.ss7.oam.OamAlarmNotification
                        |
                        +--jain.protocol.ss7.oam.tcap.TcapAlarmNotification

public class TcapAlarmNotification
extends OamAlarmNotification

A TcapAlarmNotification is a Notification emitted by a Tcap Managed Bean (MBean) to indicate a change in status of the MBean. This state change may result from :

- a create/delete/modify operation by an application that expliciltly changes the state of the MBean.
- a change in the SS7 Network that implicitly changes the state of it's associated MBean.
- a timer within a Timer MBean expiring.

This TcapAlarmNotification should be sent to all applications that have registered with the TCAP MBean as a javax.management.NotificationListener using a filter 'f', where f.isNotificationEnabled(this.getType()) == true.

The Notification class extends the java.util.EventObject base class and defines the minimal information contained in a notification. It contains the following fields:

the notification type, which is a string expressed in a dot notation similar to Java properties.

a sequence number, which is a serial number identifying a particular instance of notification in the context of the notification source

a time stamp, indicating when the notification was generated

a message contained in a string, which could be the explanation of the notification for displaying to a user

userData is used for whatever other data the notification source wishes to communicate to its consumers

Notification sources should use the notification type to indicate the nature of the event to their consumers. When additional information needs to be transmitted to consumers, the source may place it in the message or user data fields.

Inheritance hierarchy for JAIN OAM Notification

Version:
  1.1
Author:
  Colm Hayden
See Also:
  Serialized Form

Field Summary
`static int` | `TCAP_ALARM_RESOURCE_LIMIT_REACHED` Alarm Type Constant: No resources remaining.

Fields inherited from class jain.protocol.ss7.oam.OamAlarmNotification
`ALARM_MO_ATTRIBUTE_VALUE_CHANGED, ALARM_MO_CREATED, ALARM_MO_DELETED, ALARM_TIMER_EXPIRED, PRIORITY_CRITICAL, PRIORITY_HIGH, PRIORITY_INFORMATIONAL, PRIORITY_LOW, PRIORITY_VENDOR_DEFINED`

Constructor Summary
`TcapAlarmNotification(OamManagedObjectMBean source, long sequenceNumber, int priority, int alarmType)` Constructs a new `TcapAlarmNotification`.

Method Summary
`java.lang.String` | `toString()` Returns a string representation (with details) of classes which extend this class.

Methods inherited from class jain.protocol.ss7.oam.OamAlarmNotification
`getAlarmType, getPriority, getTimerId, getTimestamp, setPriority, setTimerId`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSource, setUserData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TCAP_ALARM_RESOURCE_LIMIT_REACHED

    public static final int TCAP_ALARM_RESOURCE_LIMIT_REACHED

  Alarm Type Constant: No resources remaining. This alarm is generated if the maximum resource for the TCAP stack configuration is reached and no new resource can be allocated.

  Emitted By: TcapNodeMBean
  Notification Type: "jain.protocol.ss7.oam.tcap.alarm.ssn_unavailable_maintenance".

Constructor Detail

### TcapAlarmNotification

    public TcapAlarmNotification(OamManagedObjectMBean source,
                                 long sequenceNumber,
                                 int priority,
                                 int alarmType)
                          throws java.lang.IllegalArgumentException

  Constructs a new `TcapAlarmNotification`.
  Parameters:
    `source` - The Managed Bean that emitted this Notification.
    `sequenceNumberThe` - notification sequence number within the source object.
    `priority` - The priority of this TcapAlarmNotification. This may be either (in increasing order of priority):

    1. PRIORITY_INFORMATIONAL - The cause of this event does not affect the functional state of the system and may be ignored.
       This TcapAlarmNotification is for purely informational purposes only.
    2. PRIORITY_LOW - Indicates that the state of the MBean that emitted this TcapAlarmNotification has changed as a result of an operation explicitly invoked by an application.
    3. PRIORITY_HIGH - Indicates that the physical network element associated with the MBean that emitted this TcapAlarmNotification has gone out of service.
       Without corrective action, service reliability can be severely affected.
    4. PRIORITY_CRITICAL Indicates the complete failure of the physical netwrok element associated with the MBean that emitted this TcapAlarmNotification.
       Immediate recovery action is required.
    `alarmType` - The type of this alarm. This may be any one of the Alarm Type constants defined in this class, or one of those inherited from OamAlarmNotification.
  Throws:
    java.lang.IllegalArgumentException - - If any of the supplied parameters are invalid

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation (with details) of classes which extend this class. Over rides standard JAVA toString method.
  Overrides:
    toString in class java.util.EventObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems